package cn.superdesk.uniorder.dao.mapper.sys.notify;

import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysNotifyMapper {
    long countByExample(SysNotifyExample example);

    int deleteByExample(SysNotifyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysNotify record);

    int insertSelective(SysNotify record);

    List<SysNotify> selectByExampleWithBLOBs(SysNotifyExample example);

    List<SysNotify> selectByExample(SysNotifyExample example);

    SysNotify selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysNotify record, @Param("example") SysNotifyExample example);

    int updateByExampleWithBLOBs(@Param("record") SysNotify record, @Param("example") SysNotifyExample example);

    int updateByExample(@Param("record") SysNotify record, @Param("example") SysNotifyExample example);

    int updateByPrimaryKeySelective(SysNotify record);

    int updateByPrimaryKeyWithBLOBs(SysNotify record);

    int updateByPrimaryKey(SysNotify record);
}